Debian Bug report logs - #291265
[Fixed in CVS] Silent data loss when saving in a directory with iso8859-1 name

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: Nicolas Boulenguez <nicolas.boulenguez@free.fr>

Date: Wed, 19 Jan 2005 19:34:17 UTC

Severity: grave

Tags: confirmed, fixed-upstream, patch, sarge, sid, upstream

Found in version 1.4.1-1

Fixed in version gnumeric/1.4.2-2

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#291265; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumeric: Silent data loss when saving in a directory with iso8859-1 name
Date: Wed, 19 Jan 2005 19:50:19 +0100
Package: gnumeric
Version: 1.4.1-1
Severity: critical
Justification: causes serious data loss


Hello.

Save a file, say "Book1.gnumeric", in a directory named "é". In the
window dedicated to "save", it is named "\351" (iso8859-1, octal) in
the saving dialog. Nothing seems unusual, I heard that gnome uses
UTF8. Except the file has a size of 0, and the data is lost.

It does not lose data, but it seems related:
- The same works correctly if I create the directory with gnumeric (it
uses an unicode filename, with ugly two-letters results).
- Loading a file with an "é" in its name crashes gnumeric.

Maybe it is not worth the mess, because UTF8 is the future and few
users use the command line and gnumeric. But a "save your data
elsewhere" message would be nice.


PS: Do not cry for my data, I printed before s(h)aving them
accidently.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.9.20041229
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages gnumeric depends on:
ii  gconf2                   2.8.1-4         GNOME configuration database syste
ii  gnumeric-common          1.4.1-1         Common files for Gnumeric, the GNO
ii  gsfonts                  8.14+v8.11-0.1  Fonts for the Ghostscript interpre
ii  libart-2.0-2             2.3.16-6        Library of functions for 2D graphi
ii  libatk1.0-0              1.8.0-4         The ATK accessibility toolkit
ii  libbonobo2-0             2.8.0-4         Bonobo CORBA interfaces library
ii  libbonoboui2-0           2.8.0-2         The Bonobo UI library
ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  libgconf2-4              2.8.1-4         GNOME configuration database syste
ii  libglade2-0              1:2.4.1-1       Library to load .glade files at ru
ii  libglib2.0-0             2.4.8-1         The GLib library of C routines
ii  libgnome2-0              2.8.0-6         The GNOME 2 library - runtime file
ii  libgnomecanvas2-0        2.8.0-1         A powerful object-oriented display
ii  libgnomeprint2.2-0       2.8.2-1         The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2-0     2.8.1-1         The GNOME 2.2 print architecture U
ii  libgnomeui-0             2.8.0-3         The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0           2.8.3-8         The GNOME virtual file-system libr
ii  libgsf-1                 1.11.1-1        Structured File Library - runtime 
ii  libgsf-gnome-1           1.11.1-1        Structured File Library - runtime 
ii  libgtk2.0-0              2.4.14-2        The GTK+ graphical user interface 
ii  libice6                  4.3.0.dfsg.1-10 Inter-Client Exchange library
ii  liborbit2                1:2.10.2-1.1    libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0            1.6.0-3         Layout and rendering of internatio
ii  libpopt0                 1.7-5           lib for parsing cmdline parameters
ii  libsm6                   4.3.0.dfsg.1-10 X Window System Session Management
ii  libxml2                  2.6.11-5        GNOME XML library
ii  xlibs                    4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-3       compression library - runtime

-- no debconf information



Severity set to `grave'. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed, upstream Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge, sid Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream, patch Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
Bug#291265. Full text and rfc822 format available.

Message #18 received at 291265-submitter@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jdassen@debian.org>
To: control@bugs.debian.org
Cc: 291265-submitter@bugs.debian.org
Subject: Patched
Date: Sat, 22 Jan 2005 23:22:28 +0100
# I've committed a patch to upstream CVS (both HEAD and gnumeric-1-4 branch)
# to address this. When upstream's feedback to this patch is positive, I'll
# update the Debian packages.
tags 291265 + fixed-upstream patch
retitle 291265 [Fixed in CVS] Silent data loss when saving in a directory with iso8859-1 name
thanks
-- 
"But if you look carefully at their [Microsoft's] encryption algorithm, they
simply XOR the password with 'susageP', Pegasus spelled backwards. Pegasus
is the code name of Windows CE. This is so pathetic it's staggering." 
	Bruce Schneier in http://www.counterpane.com/crypto-gram-9911.html 



Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 291265-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 291265-close@bugs.debian.org
Subject: Bug#291265: fixed in gnumeric 1.4.2-2
Date: Sun, 23 Jan 2005 11:17:44 -0500
Source: gnumeric
Source-Version: 1.4.2-2

We believe that the bug you reported is fixed in the latest version of
gnumeric, which is due to be installed in the Debian FTP archive:

gnumeric-common_1.4.2-2_all.deb
  to pool/main/g/gnumeric/gnumeric-common_1.4.2-2_all.deb
gnumeric-doc_1.4.2-2_all.deb
  to pool/main/g/gnumeric/gnumeric-doc_1.4.2-2_all.deb
gnumeric-plugins-extra_1.4.2-2_i386.deb
  to pool/main/g/gnumeric/gnumeric-plugins-extra_1.4.2-2_i386.deb
gnumeric_1.4.2-2.diff.gz
  to pool/main/g/gnumeric/gnumeric_1.4.2-2.diff.gz
gnumeric_1.4.2-2.dsc
  to pool/main/g/gnumeric/gnumeric_1.4.2-2.dsc
gnumeric_1.4.2-2_i386.deb
  to pool/main/g/gnumeric/gnumeric_1.4.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 291265@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 23 Jan 2005 16:06:53 +0100
Source: gnumeric
Binary: gnumeric-doc gnumeric-common gnumeric gnumeric-plugins-extra
Architecture: source i386 all
Version: 1.4.2-2
Distribution: unstable
Urgency: high
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 gnumeric   - GNOME spreadsheet application
 gnumeric-common - common files for Gnumeric, the GNOME spreadsheet application
 gnumeric-doc - documentation for Gnumeric, the GNOME spreadsheet application
 gnumeric-plugins-extra - additional plugins for the GNOME spreadsheet
Closes: 291265
Changes: 
 gnumeric (1.4.2-2) unstable; urgency=high
 .
   * Backported fixes and improvements from CVS gnumeric-1-4 branch:
     * [src/file.c] (gnm_file_saver_save) Produce an error when no proper UTF-8
       filename was produced. (Closes: #291265)
     * [po/pt_BR.po] Updated Brazilian Portuguese translation.
Files: 
 3aee484a53aa3bf1b2fdef1fa791112a 1292 math optional gnumeric_1.4.2-2.dsc
 3ff06aba772248966403a0422be58d8e 32138 math optional gnumeric_1.4.2-2.diff.gz
 a6d639999a17e677f029857714eee555 4417112 math optional gnumeric-common_1.4.2-2_all.deb
 0ff97ec06c7ba71eb0f121bdd7ce2b9c 4151150 doc optional gnumeric-doc_1.4.2-2_all.deb
 99a8e2d2fc4d5f5a656cd7b710b97526 3827474 math optional gnumeric_1.4.2-2_i386.deb
 5e23650846049d53d2dd6023386dbafe 111604 math optional gnumeric-plugins-extra_1.4.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB88s8A+HB2Re6Rc4RApDYAKDFeN0wC1tEXr8RCH32cGa0RX+dvgCeIThh
Rq2fz4DKtYgz6hSgeCVQZTk=
=L2/V
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:56:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.